package com.zxhyis.toolss.ui.page.applock

import android.content.Intent
import com.github.ihsg.patternlocker.OnPatternChangeListener
import com.github.ihsg.patternlocker.PatternLockerView
import com.zxhyis.toolss.base.TopActivity
import com.zxhyis.toolss.databinding.ActivityLayoutAppLockBinding

class AppLockActivity:TopActivity<ActivityLayoutAppLockBinding>() {

    override fun getViewBinding1(): ActivityLayoutAppLockBinding {
        return ActivityLayoutAppLockBinding.inflate(layoutInflater)
    }

    override fun init() {
        vb.patternLockView.setOnPatternChangedListener(object :OnPatternChangeListener{
            override fun onChange(view: PatternLockerView, hitIndexList: List<Int>) {

            }

            override fun onClear(view: PatternLockerView) {

            }

            override fun onComplete(view: PatternLockerView, hitIndexList: List<Int>) {
               startActivity(Intent(this@AppLockActivity,AppLockManagerActivity::class.java))
            }

            override fun onStart(view: PatternLockerView) {

            }

        })
    }
}